summaryrefslogtreecommitdiff
path: root/meta/packages/webkit/files/autogen.sh
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openedhand.com>2008-03-05 13:19:52 +0000
committerMarcin Juszkiewicz <hrw@openedhand.com>2008-03-05 13:19:52 +0000
commit5ab50f9ba2597a6f252a01ff3aeb3eaf3d9c9810 (patch)
treec6542c17cc0652a7ab7c2dea91103a6aa07ca36e /meta/packages/webkit/files/autogen.sh
parenta31ec3d0f61846fe89284443c93adfb6a7b5bcf2 (diff)
downloadopenembedded-core-5ab50f9ba2597a6f252a01ff3aeb3eaf3d9c9810.tar.gz
openembedded-core-5ab50f9ba2597a6f252a01ff3aeb3eaf3d9c9810.tar.bz2
openembedded-core-5ab50f9ba2597a6f252a01ff3aeb3eaf3d9c9810.tar.xz
openembedded-core-5ab50f9ba2597a6f252a01ff3aeb3eaf3d9c9810.zip
webkit: update to 30762 from OE
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@3919 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/webkit/files/autogen.sh')
-rw-r--r--meta/packages/webkit/files/autogen.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/meta/packages/webkit/files/autogen.sh b/meta/packages/webkit/files/autogen.sh
index b7f7d37b2..1c0fc6115 100644
--- a/meta/packages/webkit/files/autogen.sh
+++ b/meta/packages/webkit/files/autogen.sh
@@ -1,8 +1,11 @@
#! /bin/sh
+# Allow invocation from a separate build directory; in that case, we change
+# to the source directory to run the auto*, then change back before running configure
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
+ORIGDIR=`pwd`
cd $srcdir
DIE=0
@@ -37,4 +40,6 @@ autoheader || exit $?
automake --foreign --add-missing || exit $?
autoconf || exit $?
-./configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
+cd $ORIGDIR || exit 1
+
+$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?